POST scenarios/browser/job
Starts a scenario.
Remarks
Use GET-request with returned jod descriptor to get a scenario result.Request example and description
curl --request POST "https://api-asm1.apica.io/v3/scenarios/browser/job?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{ "scenario_id": 1, "url": "sample string 1", "browser_name": "sample string 2", "browser_version": "sample string 3", "location_code": "sample string 4" }"
| Name | Type | Required | Description |
|---|---|---|---|
| scenario_id | Integer | No | Browser scenario identifier. |
| url | String | Yes | Url. |
| browser_name | String | Yes | Browser name. |
| browser_version | String | Yes | Browser version. |
| location_code | String | Yes | Location code. |
Response body model example and description
{
"job_descriptor": {
"agent_type": "sample string 1",
"agent_id": "sample string 2",
"agent_url": "sample string 3",
"job_id": "sample string 4"
}
}
| Name | Type | Description |
|---|---|---|
| job_descriptor | Object | Job descriptor. |
| agent_type | String | No documentation available. |
| agent_id | String | No documentation available. |
| agent_url | String | No documentation available. |
| job_id | String | No documentation available. |